## rephrase 0.1

=== Makefile ===
# Makefile (for compiling and installing, or building a distribution)
# Copyright (C) 2003  Phil Lanch
#
# This file is part of Rephrase.
#
# Rephrase is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2.
#
# Rephrase is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA

# $Id: Makefile,v 1.1 2003/09/03 05:02:24 phil Exp $

SHELL		= /bin/sh

program		= rephrase
version		= 0.1

what		= $(program)-$(version)

GPG		=
ifneq (,$(GPG))
gpg_def	= -DGPG=\"$(GPG)\"
else
gpg_def	=
endif

PATTERN_MAX	=
ifneq (,$(PATTERN_MAX))
pattern_max_def	= -DPATTERN_MAX=$(PATTERN_MAX)
else
pattern_max_def	=
endif

CFLAGS		= -Wall -DVERSION=\"$(version)\" $(gpg_def) $(pattern_max_def)

BINDIR		= /usr/local/bin

files		= COPYING Makefile README $(program).c

all: $(program)

dist: $(what).tar.gz $(what).tar.bz2

install: all
	mkdir -p $(BINDIR)
	rm -f $(BINDIR)/$(program)
	cp $(program) $(BINDIR)/$(program)
	chmod 4711 $(BINDIR)/$(program)

$(what).tar: $(files)
	rm -f $@
	rm -rf TREE
	mkdir TREE
	mkdir TREE/$(what)
	cp -p $(files) TREE/$(what)
	cd TREE && { tar -c -f ../$@ $(what) || { rm -f ../$@ && exit 1; }; }

$(what).tar.gz: $(what).tar
	rm -f $@
	gzip -c -9 $< > $@ || { rm -f $@ && exit 1; }

$(what).tar.bz2: $(what).tar
	rm -f $@
	bzip2 -k -9 $< || { rm -f $@ && exit 1; }

clean::
	rm -f $(program) $(program)-*.tar
	rm -rf TREE

distclean::
	$(MAKE) clean
	rm -f $(program)-*.tar.gz $(program)-*.tar.bz2

=== debian/changelog ===
rephrase (0.1-3) unstable; urgency=low

  * Change CVS address due to my new user in Alioth
  * Change maintainer to Debian Forensics Team
  * Move to format 3.0. Thanks to Jari Aalto. (Closes: #668499)
  * Add build-arch and build-indep targets to rules file. Thanks to Jari Aalto.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Mon, 23 Apr 2012 22:01:52 -0400

rephrase (0.1-2) unstable; urgency=low

  * Added gnupg as dependency.
  * debian/control:
    + pass the right gpg path to make. Thanks to Artur R. Czechowski.
      (Closes: #550508)

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Sun, 11 Oct 2009 12:27:14 -0300

rephrase (0.1-1) unstable; urgency=low

  * Initial Release. (Closes: #547659)

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Sat, 26 Sep 2009 23:15:23 -0300

=== debian/control ===
Source: rephrase
Section: utils
Priority: extra
Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
Uploaders: Tiago Bortoletto Vaz <tiago@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.3
Homepage: http://www.roguedaemon.net/rephrase/
Vcs-Browser: http://git.debian.org/?p=forensics/rephrase.git
Vcs-Git: git://git.debian.org/forensics/rephrase.git

Package: rephrase
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, gnupg
Description: Specialized passphrase recovery tool for GnuPG
 If you can nearly remember your GnuPG passphrase - but not quite - then
 Rephrase may be able to help. Tell Rephrase the parts of the passphrase you
 know, and any number of alternatives for the parts you're not sure about; and
 Rephrase will try all the alternatives, in all possible combinations, and tell
 you which combination (if any) gives you the correct passphrase.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1


clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean

build-stamp:
	dh_testdir

	$(MAKE) GPG=/usr/bin/gpg

	touch build-stamp

build: build-stamp

build-arch: build
build-indep: build

install: build
	dh_testdir
	dh_testroot
	dh_prep

	$(MAKE) DESTDIR=$(CURDIR)/debian/rephrase install

binary: binary-arch

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installman debian/rephrase.1
	dh_lintian
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

.PHONY: clean build install binary binary-arch binary-indep

## rephrase 0.2

=== Makefile ===
# Makefile (for compiling and installing, or building a distribution)
# Copyright (C) 2003, 2014  Phil Lanch
#
# This file is part of Rephrase.
#
# Rephrase is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 3.
#
# Rephrase is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

SHELL		= /bin/sh

program		= rephrase
version		= 0.2

what		= $(program)-$(version)

GPG		=
ifneq (,$(GPG))
gpg_def	= -DGPG=\"$(GPG)\"
else
gpg_def	=
endif

CRYPTSETUP	=
ifneq (,$(CRYPTSETUP))
cryptsetup_def	= -DCRYPTSETUP=\"$(CRYPTSETUP)\"
else
cryptsetup_def	=
endif

PATTERN_MAX	=
ifneq (,$(PATTERN_MAX))
pattern_max_def	= -DPATTERN_MAX=\($(PATTERN_MAX)\)
else
pattern_max_def	=
endif

ARGS_MAX	=
ifneq (,$(ARGS_MAX))
args_max_def	= -DARGS_MAX=\($(ARGS_MAX)\)
else
args_max_def	=
endif

DEFS		= -DVERSION=\"$(version)\" $(gpg_def) $(cryptsetup_def) $(pattern_max_def) $(args_max_def)
CPPFLAGS	+= $(DEFS)
CFLAGS		= -Wall

prefix		= /usr/local
exec_prefix	= ${prefix}
bindir		= ${exec_prefix}/bin

dirmode		= 755
binowner	= 0
bingroup	= 0
binmode		= 4711

files		= CHANGELOG COPYING install-sh Makefile mkinstalldirs README $(program).c

all: $(program)

dist: $(what).tar.gz $(what).tar.bz2

install: all
	./mkinstalldirs -m $(dirmode) $(DESTDIR)$(bindir)
	./install-sh -c -o $(binowner) -g $(bingroup) -m $(binmode) $(program) \
		$(DESTDIR)$(bindir)/$(program)

$(what).tar: $(files)
	rm -f $@
	rm -rf TREE
	mkdir TREE
	mkdir TREE/$(what)
	cp -p $(files) TREE/$(what)
	cd TREE && { tar -c -f ../$@ $(what) || { rm -f ../$@ && exit 1; }; }

$(what).tar.gz: $(what).tar
	rm -f $@
	gzip -c -9 $< > $@ || { rm -f $@ && exit 1; }

$(what).tar.bz2: $(what).tar
	rm -f $@
	bzip2 -k -9 $< || { rm -f $@ && exit 1; }

clean::
	rm -f $(program) $(program)-*.tar
	rm -rf TREE

distclean::
	$(MAKE) clean
	rm -f $(program)-*.tar.gz $(program)-*.tar.bz2

.PHONY: all dist install clean distclean

=== debian/changelog ===
rephrase (0.2-4) unstable; urgency=medium

  [ Samuel Henrique ]
  * Team upload.
  * Add salsa-ci.yml.
  * Configure git-buildpackage.
  * Add Rules-Requires-Root: no
  * d/p/03_makefile_dont_change_perms.patch: New patch to enable build
    with Rules-Require-Root set to 'no'

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ Francisco Vilmar Cardoso Ruviaro ]
  * Bump DH to 13.
  * Bump Standards-Version to 4.5.1.
  * Update watch file format version to 4.
  * Switch to https url in debian/watch.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Mon, 01 Feb 2021 03:30:16 +0000

rephrase (0.2-3) unstable; urgency=medium

  * Team upload.
  [ Raphaël Hertzog ]
  * d/control:
    - Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org
    - Update team maintainer address to Debian Security Tools

  [ SZ Lin (林上智) ]
  * Add upstream metadata file
  * d/control:
    - Bump debhelper version to 11
    - Bump Standards-Version to 4.2.1
    - Replace extra with optional in  Priority: item since it's deprecated now
  * d/copyright:
    - Replace "http" with "https"
    - Update copyright info.
  * d/compat:
    - Bump compat version to 11

 -- SZ Lin (林上智) <szlin@debian.org>  Fri, 31 Aug 2018 11:03:57 +0800

rephrase (0.2-2) unstable; urgency=medium

  * Team upload.
  * debian/control:
      - Bumped Standards-Version to 3.9.8.
      - Updated the Vcs-Git field to use https instead of git.
  * debian/patches/02_minimal_gpg2_support.patch: added to unconditionally
    call gpg with "--pinentry-mode loopback", allowing rephrase work with
    GPG2. Thanks to Axel Beckert <abe@debian.org>. (Closes: #853935)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 05 Feb 2017 18:53:54 -0200

rephrase (0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Migrations:
      - debian/copyright to 1.0 format.
      - debian/rules to new (reduced) format.
      - DH level to 9.
  * debian/control:
      - Bumped Standards-Version to 3.9.6.
      - Updated the Vcs-* fields.
  * debian/copyright:
      - The upstream uses GPL-3 now.
      - Updated the upstream copyright years.
      - Updated the packaging copyright information.
  * debian/manpages: created to install the manpage.
  * debian/patches/:
      - 01_fix_bin_path.patch:
          ~ Updated the original patch.
          ~ Fixed the CFLAGS to allow the GCC hardening.
      - 02_add_destdir.patch: removed. The upstream is using the $(DESTDIR)
        variable. Thanks.
  * debian/rephrase.1: fixed the the lines used to show examples.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 13 Jul 2015 17:18:43 -0300

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: rephrase
 Section: utils
-Priority: extra
-Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Tiago Bortoletto Vaz <tiago@debian.org>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.3
-Homepage: http://www.roguedaemon.net/rephrase/
-Vcs-Browser: http://git.debian.org/?p=forensics/rephrase.git
-Vcs-Git: git://git.debian.org/forensics/rephrase.git
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
+Homepage: https://www.roguedaemon.net/rephrase/
+Vcs-Browser: https://salsa.debian.org/pkg-security-team/rephrase
+Vcs-Git: https://salsa.debian.org/pkg-security-team/rephrase.git
 
 Package: rephrase
 Architecture: any

=== debian/watch ===
version=4
https://www.roguedaemon.net/rephrase/rephrase-(.+)\.tar\.gz
